
Ext.onReady(function(){
 
	 
	if(!window.openDatabase) {
		alert("WebDatabase Not Available");
		return;
	}
	var pageSize = 5;

	var db = window.openDatabase("SampleDB", "1",
								 "Sample database",
								 1024 * 10);


					
	db.transaction(function(tx) {			 
		tx.executeSql('CREATE TABLE IF NOT EXISTS ' + 
					  'demo(ID INTEGER PRIMARY KEY ASC, name TEXT)', []);
	}); 


	var store = new Nxt.Ext.data.WebDbStore({
		db: db,
		idProperty: 'ID',
		tableName: 'demo',
		fields: [
		   {name: 'ID', type: 'int'},
		   {name: 'name'}, 
		]
		

	}); 
	
    store.setDefaultSort('ID', 'desc');
	store.on('load', function() {
		//store loaded ... 
	}); 
	store.load({
		params:{
			start: 0,
			limit: pageSize
		}
	}); 


	var grid = new Ext.grid.EditorGridPanel({
		store: store,
		columns: [
			{id:'ID',header: 'RecordID', width: 50, sortable: true, dataIndex: 'ID'},
			{id:'name', header: 'Name', width: 275, sortable: true,  dataIndex: 'name'} 
		],
		stripeRows: true,
		autoExpandColumn: 'name',
		height: 350,
		width: 600,
		title: 'Sample Grid',
		clicksToEdit: 2,
		 tbar: [{
            text: 'Add Item',
            handler : function(){
                // access the Record constructor through the grid's store
                var Item = grid.getStore().recordType;
                var p = new Item({
                    name: '' + new Date()
                });
                grid.stopEditing();
                store.insert(0, p);
                grid.startEditing(0, 0);
            }
        }, {
			text: 'Delete selected',
			handler:function() { 
				var sm = grid.getSelectionModel();
				if(sm.selection && sm.selection.record) {
					grid.store.remove(sm.selection.record); 
				}   
			} 
		}], 
		cm: new Ext.grid.ColumnModel({
			defaults: {
					sortable: true // columns are not sortable by default           
			},
			columns: [
				{id:'ID',header: 'RecordID', width: 50, sortable: true, dataIndex: 'ID',  editor: new Ext.form.TextField({ allowBlank: false })},
				{id:'name', header: 'Name', width: 275, sortable: true,  dataIndex: 'name',editor: new Ext.form.TextField({ allowBlank: false })} 	 
			]
		}) ,
		// paging bar on the bottom
        bbar: new Ext.PagingToolbar({
            pageSize: pageSize,
            store: store,
            displayInfo: true,
            displayMsg: 'Displaying records {0} - {1} of {2}',
            emptyMsg: "No records to display"  
        })
	});

	// render the grid to the specified div in the page
	grid.render('grid-example');
	
});